<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!--
Copyright &copy; 2009 Oracle and/or its affiliates. All rights reserved.
 -->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<link rel="StyleSheet" href="/org/netbeans/modules/usersguide/ide.css" 
type="text/css">
<title>Adding Documentation to Your Code</title>
</head>
<body>
<h2>Adding Documentation to Your Code</h2>
<p>You can insert Doxygen comments in your code to generate API documentation, and
have that documentation displayed in code completion popups when you use the API elsewhere
while editing your code.</p>
<p><b>To add Doxygen documentation to your code:</b></p>
<ol>
<li>
In a C or C++ source file, place the cursor in the line above the function or method you
want to document.
</li>
<li>Type <b>/**</b> and press Enter to generate a documentation stub for the
function or method.</li>
<li>Edit the stub to provide information about the parameters and return values.</li>
</ol>
<p>
</p>
<p><b>To see the documentation in the code completion pop-up:</b></p>
<ol>
<li>Navigate to a place where the function or method is called, for example by right-clicking the function
    name and selecting Find Usages.
</li>
<li>In the source file place the cursor on the function call and press Ctrl-Space to
    see the code completion pop-up with the Doxygen documentation displayed.
</li>
</ol>
<ul class="note">
    <li>You can also choose Source &gt; Show Documentation to see the pop-up documentation of the
        function or method at the cursor.</li>
</ul>

<hr>
<small>
<a href="../credits.html">Legal Notices</a></small>
<table border="0" cellpadding="20">
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
